import React from 'react';
import { ICommonPermisions } from "../../../../interfaces";
import { IGroupPermission } from "../../interfaces/groups";
interface ICRUDTablePermissionGroup {
    permissions: ICommonPermisions;
    onDelete: (item: IGroupPermission) => any;
    onSelectItemEdit?: (item: IGroupPermission) => any;
    onSelectItemDetail: (item: IGroupPermission) => any;
    item: IGroupPermission;
}
declare const PermissionGroupCRUDTableItem: React.MemoExoticComponent<(props: ICRUDTablePermissionGroup) => JSX.Element>;
export { PermissionGroupCRUDTableItem };
