"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var useHasPermissions = function (permissions) {
    var my_permissions = localStorage.getItem("my_permissions");
    if (typeof permissions === 'object') {
        return lodash_1.mapValues(permissions, function (p) { return my_permissions.includes(p); });
    }
    if (!Array.isArray(permissions) && typeof permissions !== 'object') {
        return my_permissions.includes(permissions);
    }
};
exports.useHasPermissions = useHasPermissions;
