"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Dialog_1 = __importDefault(require("@material-ui/core/Dialog"));
var DialogContent_1 = __importDefault(require("@material-ui/core/DialogContent"));
var DialogTitle_1 = __importDefault(require("@material-ui/core/DialogTitle"));
exports.CreateDialog = function (props) {
    var element_type = props.element_type, is_open = props.is_open, _a = props.fullScreen, fullScreen = _a === void 0 ? true : _a;
    return (react_1.default.createElement(Dialog_1.default, { fullScreen: fullScreen, open: is_open },
        react_1.default.createElement(DialogTitle_1.default, { id: "responsive-dialog-title" }, element_type),
        react_1.default.createElement(DialogContent_1.default, null, props.children)));
};
