"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var core_1 = require("@material-ui/core");
var forms_1 = require("../forms");
exports.FormDialog = function (props) {
    var pristine = props.pristine, submitting = props.submitting, reset = props.reset, initialValues = props.initialValues, onSubmit = props.onSubmit, onCancel = props.onCancel, modal_open = props.modal_open, element_type = props.element_type, _a = props.fullScreen, fullScreen = _a === void 0 ? false : _a, _b = props.fullWidth, fullWidth = _b === void 0 ? false : _b, _c = props.show_submit, show_submit = _c === void 0 ? true : _c, _d = props.show_clear, show_clear = _d === void 0 ? true : _d, _e = props.submit_text_boton, submit_text_boton = _e === void 0 ? null : _e, _f = props.error, error = _f === void 0 ? null : _f;
    return react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement(core_1.Dialog, { fullScreen: fullScreen, open: modal_open, fullWidth: fullWidth },
            react_1.default.createElement("form", { onSubmit: onSubmit },
                react_1.default.createElement(core_1.DialogTitle, { id: "responsive-dialog-title" }, (submit_text_boton ? submit_text_boton : initialValues ? 'Editar ' : 'Crear ') + " " + element_type),
                react_1.default.createElement(core_1.DialogContent, null,
                    react_1.default.createElement("div", { className: "row pl-3 pr-5" }, props.children),
                    react_1.default.createElement("div", { className: 'mt-3' },
                        react_1.default.createElement(core_1.Typography, { variant: "caption", gutterBottom: true, color: "error" }, error && react_1.default.createElement("strong", null, error)))),
                react_1.default.createElement(core_1.DialogActions, null,
                    react_1.default.createElement(forms_1.FormButton, { show_clear: show_clear, show_submit: show_submit, submitting: submitting, initialValues: initialValues, onCancel: onCancel, submit_text_boton: submit_text_boton, pristine: pristine, reset: reset })))));
};
