"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var react_redux_1 = require("react-redux");
var actions_1 = require("../../system/actions");
var core_1 = require("@material-ui/core");
var core_2 = require("@material-ui/core");
var useStyles = core_2.makeStyles(function (theme) { return ({
    main: {
        paddingLeft: theme.spacing(2),
    },
    nested: {
        paddingLeft: theme.spacing(4),
    },
    iconColor: {
        color: theme.palette.primary.dark
    }
}); });
var DrawerMenuListCollapse = function (props) {
    var icon = props.icon, text = props.text, children = props.children;
    var classes = useStyles();
    var _a = react_1.useState(false), open = _a[0], setOpen = _a[1];
    console.log('2. renderizó list menu');
    var dispatch = react_redux_1.useDispatch();
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement(core_1.ListItem, { button: true, onClick: function () {
                if (open) {
                    dispatch(actions_1.closeTMenu());
                }
                else {
                    dispatch(actions_1.openTMenu());
                }
                return (setOpen(!open));
            } },
            react_1.default.createElement(core_1.Tooltip, { title: text },
                react_1.default.createElement(core_1.ListItemIcon, null,
                    react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: ['far', icon], size: 'lg', className: classes.iconColor }))),
            react_1.default.createElement(core_1.ListItemText, { inset: true, primary: text }),
            open ?
                react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: ['far', 'angle-up'], className: classes.iconColor }) :
                react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: ['far', 'angle-down'], className: classes.iconColor })),
        react_1.default.createElement(core_1.Collapse, { in: open, timeout: "auto", unmountOnExit: true },
            react_1.default.createElement(core_1.List, { component: "div", disablePadding: true }, children))));
};
exports.DrawerMenuListCollapse = DrawerMenuListCollapse;
