import { IconName } from "@fortawesome/fontawesome-common-types";
interface ICollapseMenuItems {
    id: number;
    text: string;
    link: string;
    type: 'normal' | 'collapse';
    permissions: object;
    icon: IconName;
}
interface IMenuItems {
    id: number;
    text: string;
    link: string;
    type: 'normal' | 'collapse';
    permissions: object;
    icon: IconName;
    collapse_menu_items?: [ICollapseMenuItems];
}
interface IMenu {
    menu_items: [IMenuItems];
}
declare const Menu: (props: IMenu) => JSX.Element;
export { Menu };
