"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var Combobox_1 = __importDefault(require("react-widgets/lib/Combobox"));
var Grid_1 = __importDefault(require("@material-ui/core/Grid"));
var redux_form_1 = require("redux-form");
var styles_1 = require("@material-ui/core/styles");
var useStyles = styles_1.makeStyles(function (theme) { return ({
    error: {
        color: "" + theme.palette.error.main
    },
}); });
var renderCombobox = function (_a) {
    var input = _a.input, data = _a.data, valueField = _a.valueField, textField = _a.textField, placeholder = _a.placeholder, _b = _a.onSelect, onSelect = _b === void 0 ? null : _b, readOnly = _a.readOnly, _c = _a.meta, touched = _c.touched, error = _c.error, warning = _c.warning, filter = _a.filter;
    var classes = useStyles();
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement(Combobox_1.default, __assign({}, input, { data: data, filter: filter, placeholder: placeholder, valueField: valueField, textField: textField, readOnly: readOnly, onChange: function (e) {
                input.onChange(typeof (e) === 'string' ? e : e[valueField]);
            }, onSelect: onSelect, 
            // @ts-ignore
            onBlur: function () { return input.onBlur(); } })),
        touched && ((error && react_1.default.createElement("span", { className: classes.error }, error)) || (warning &&
            react_1.default.createElement("span", null, warning)))));
};
//TODO: Organizar las definiciones faltantes de los props con // @ts-ignore
exports.MyCombobox = function (props) {
    var _a = props.busy, busy = _a === void 0 ? false : _a, _b = props.textField, textField = _b === void 0 ? 'name' : _b, _c = props.valueField, valueField = _c === void 0 ? 'id' : _c, _d = props.autoFocus, autoFocus = _d === void 0 ? false : _d, onSelect = props.onSelect, className = props.className, _e = props.placeholder, placeholder = _e === void 0 ? '' : _e, _f = props.label, label = _f === void 0 ? null : _f, _g = props.label_space_xs, label_space_xs = _g === void 0 ? 0 : _g, _h = props.readOnly, readOnly = _h === void 0 ? false : _h;
    return (react_1.default.createElement("div", { className: className + " " + (label ? 'mt-2' : 'mt-4') },
        react_1.default.createElement(Grid_1.default, { component: "label", container: true, alignItems: "center", spacing: 2 },
            // @ts-ignore
            label && react_1.default.createElement(Grid_1.default, { item: true, xs: label_space_xs }, label),
            // @ts-ignore
            react_1.default.createElement(Grid_1.default, { item: true, xs: label ? 12 - label_space_xs : 12 }, 
            // @ts-ignore
            react_1.default.createElement(redux_form_1.Field, __assign({}, props, { readOnly: readOnly, component: renderCombobox, valueField: valueField, textField: textField, autoFocus: autoFocus, 
                // @ts-ignore
                onChange: function (v) { return v[valueField]; }, onSelect: onSelect, busy: busy, placeholder: placeholder }))))));
};
