"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var redux_form_1 = require("redux-form");
var renderInputFileField = function (props) {
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement("input", __assign({}, props.input, { type: "file", accept: props.accept, value: undefined })),
        props.meta.touched && props.meta.error &&
            react_1.default.createElement("span", { className: 'form-props-error' }, props.meta.error)));
};
exports.MyFileFieldInput = function (props) {
    return (react_1.default.createElement("div", { className: props.className },
        react_1.default.createElement(redux_form_1.Field, __assign({}, props, { component: renderInputFileField }))));
};
