import React from 'react';
interface IGeneraInfoConfigurationAppForm {
    pristine?: boolean;
    submitting?: boolean;
    reset?: () => any;
    handleSubmit?: (onSubmit: (v: {}) => any) => any;
    children?: React.ReactNode;
    error?: string;
    initialValues?: {
        logo_medium: string;
        logo_small: string;
        icon_medium: string;
        icon_small: string;
        favicon: string;
        favicon_medium: string;
        favicon_small: string;
        id: number;
    };
    social?: {
        show_facebook?: boolean;
        show_twitter?: boolean;
        show_instagram?: boolean;
        show_linkedin?: boolean;
        show_youtube?: boolean;
        show_whatsaap?: boolean;
    };
}
declare let GeneraInfoConfigurationAppForm: React.MemoExoticComponent<(props: IGeneraInfoConfigurationAppForm) => JSX.Element>;
export { GeneraInfoConfigurationAppForm };
