"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var core_1 = require("@material-ui/core");
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var CreateFromFileDialog = react_1.memo(function (props) {
    var modal_open = props.modal_open, onCancel = props.onCancel, children = props.children, title = props.title;
    return (react_1.default.createElement(core_1.Dialog, { fullScreen: true, open: modal_open },
        react_1.default.createElement(core_1.DialogTitle, { id: "responsive-dialog-title" }, title),
        react_1.default.createElement(core_1.DialogContent, null, children),
        react_1.default.createElement(core_1.DialogActions, null,
            react_1.default.createElement(Button_1.default, { color: "secondary", variant: "contained", className: 'ml-3', onClick: onCancel }, "Cerrar"))));
});
exports.CreateFromFileDialog = CreateFromFileDialog;
