"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var qrcode_react_1 = __importDefault(require("qrcode.react"));
var react_redux_1 = require("react-redux");
var CardContent_1 = __importDefault(require("@material-ui/core/CardContent"));
var Card_1 = __importDefault(require("@material-ui/core/Card/Card"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var SecurityQR = function (props) {
    var user = props.user, classes = props.classes, generateSecurityQrUser = props.generateSecurityQrUser, showSecurityQrUser = props.showSecurityQrUser;
    var dispatch = react_redux_1.useDispatch();
    var _a = react_1.useState(null), qr_code = _a[0], setQrCode = _a[1];
    react_1.useEffect(function () {
        dispatch(showSecurityQrUser(user.id, { callback: function (res) { return setQrCode(res); } }));
    }, []);
    return react_1.default.createElement(Card_1.default, { className: classes.card },
        react_1.default.createElement(CardContent_1.default, null,
            react_1.default.createElement(Typography_1.default, { variant: "h5", gutterBottom: true, color: "primary" }, "Qr de Seguridad"),
            qr_code && react_1.default.createElement(qrcode_react_1.default, { value: qr_code, size: 180 }),
            react_1.default.createElement("div", null,
                react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { style: { cursor: 'pointer' }, icon: ['far', 'sync-alt'], size: '3x', onClick: function () { return dispatch(generateSecurityQrUser(user.id, { callback: function (res) { return setQrCode(res); } })); } }))));
};
exports.SecurityQR = SecurityQR;
