"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var core_1 = require("@material-ui/core");
var forms_1 = require("../../../../ui/forms");
var redux_form_1 = require("redux-form");
var reset_password_form_validate_1 = __importDefault(require("./reset_password_form_validate"));
var react_redux_1 = require("react-redux");
var actions_1 = require("../../actions");
var ValidateNewPassword = react_1.memo(function (props) {
    var pristine = props.pristine, submitting = props.submitting, reset = props.reset, handleSubmit = props.handleSubmit, error = props.error, history = props.history, _a = props.redirect_link, redirect_link = _a === void 0 ? '/' : _a;
    var dispatch = react_redux_1.useDispatch();
    var _b = props.match.params, id = _b.id, key_validations = _b.key_validations;
    var _c = react_1.useState(false), sended = _c[0], setSended = _c[1];
    var _d = react_1.useState(''), message = _d[0], setMessage = _d[1];
    var _e = react_1.useState(false), is_error = _e[0], setIsError = _e[1];
    var onSubmit = function (v) { return dispatch(actions_1.setRestorePasswordUser(id, key_validations, v.password, v.password_2, {
        callback: function (res) {
            var result = res.result;
            setMessage(result);
            setSended(true);
        },
        callback_error: function (err) {
            var _a = err.response.data, _error = _a._error, is_error = _a.is_error;
            setMessage(_error);
            setIsError(is_error);
            setSended(true);
        }
    })); };
    return react_1.default.createElement("div", { className: "container pt-5 mt-5 text-center", style: { width: '400px' } },
        !sended && react_1.default.createElement("form", { onSubmit: handleSubmit(onSubmit) },
            react_1.default.createElement("p", null, "Digite su nueva contrase\u00F1a!"),
            react_1.default.createElement(forms_1.MyTextFieldSimple, { name: 'password', label: 'Contrase\u00F1a', className: 'col-12', type: 'password' }),
            react_1.default.createElement(forms_1.MyTextFieldSimple, { name: 'password_2', label: 'Contrase\u00F1a', className: 'col-12', type: 'password' }),
            react_1.default.createElement(core_1.Button, { disabled: submitting || pristine, color: "primary", variant: "contained", type: 'submit' }, "Cambiar Contrase\u00F1a"),
            react_1.default.createElement(core_1.Button, { color: "secondary", variant: "contained", className: 'ml-3', onClick: reset, disabled: submitting || pristine }, "Limpiar"),
            react_1.default.createElement("div", { className: 'mt-3' },
                react_1.default.createElement(core_1.Typography, { variant: "caption", gutterBottom: true, color: "error" }, error && react_1.default.createElement("strong", null, error)))),
        sended && react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { style: { color: is_error ? 'red' : 'green' } }, message)),
        !is_error && sended && react_1.default.createElement(core_1.Button, { color: "primary", variant: "contained", onClick: function () { return history.push(redirect_link); } }, "Iniciar Sessi\u00F3n"));
});
exports.ValidateNewPassword = ValidateNewPassword;
// @ts-ignore
exports.ValidateNewPassword = ValidateNewPassword = redux_form_1.reduxForm({
    form: "validateNewPassword",
    validate: reset_password_form_validate_1.default
    // @ts-ignore
})(ValidateNewPassword);
