import React from 'react';
interface IValidateUser {
    pristine?: boolean;
    submitting?: boolean;
    reset?: () => any;
    handleSubmit?: (onSubmit: (v: {
        password: string;
        password_2: string;
    }) => any) => any;
    children?: React.ReactNode;
    error?: string;
    redirect_link?: string;
    match?: {
        params: {
            id: number;
            key_validations: string;
        };
    };
    history?: {
        push: (url: string) => any;
    };
}
declare const ValidateUser: (props: IValidateUser) => JSX.Element;
export { ValidateUser };
