"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("./types");
var loading = function (message, title) {
    if (message === void 0) { message = null; }
    if (title === void 0) { title = null; }
    return function (dispatch) {
        dispatch({ type: types_1.LOADING_TYPES.loading, message: message, title: title });
    };
};
exports.loading = loading;
var noLoading = function () {
    return function (dispatch) {
        dispatch({ type: types_1.LOADING_TYPES.stop });
    };
};
exports.noLoading = noLoading;
var resetLoading = function () {
    return function (dispatch) {
        dispatch({ type: types_1.LOADING_TYPES.reset });
    };
};
exports.resetLoading = resetLoading;
var show_loading_error = function (message, title) {
    if (message === void 0) { message = null; }
    if (title === void 0) { title = null; }
    return function (dispatch) {
        dispatch({ type: types_1.LOADING_TYPES.error, message: message, title: title });
    };
};
exports.show_loading_error = show_loading_error;
