"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("./types");
exports.openMenu = function () {
    return function (dispatch) {
        dispatch({ type: types_1.MENU_TYPES.open });
    };
};
exports.openTMenu = function () {
    return function (dispatch) {
        dispatch({ type: types_1.MENU_TYPES.open_submenu });
    };
};
exports.closeMenu = function () {
    return function (dispatch) {
        dispatch({ type: types_1.MENU_TYPES.close });
    };
};
exports.closeTMenu = function () {
    return function (dispatch) {
        dispatch({ type: types_1.MENU_TYPES.close_submenu });
    };
};
exports.resetMenu = function () {
    return function (dispatch) {
        dispatch({ type: types_1.MENU_TYPES.reset });
    };
};
