import React from 'react';
import { IListCRUD, ICommonPermisions, ICRUDMethods } from "../../interfaces";
interface ICRUD {
    posDeleteMethod?: (res: object) => any;
    posCreateMethod?: (res: object) => any;
    posUpdateMethod?: (res: object) => any;
    posSummitMethod?: (res: object) => any;
    onSelectItemDetail?: (item: object) => any;
    loadData?: () => any;
    method_pool: ICRUDMethods;
    singular_name?: string;
    plural_name?: string;
    view_link?: string;
    list: IListCRUD;
    permissions: ICommonPermisions;
    show_title?: boolean;
    onFormMount?: () => any;
    onFormUnmount?: () => any;
    form_additional_fields?: React.ReactNode;
}
declare let HOCCrud: (CreateForm: any, Table: any) => (props: ICRUD) => JSX.Element;
export { HOCCrud };
